package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseModelVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class RekamUraianRincianKegiatanVO extends BaseModelVO {
	
	private Integer idRincianKegiatan;
	
	private Integer idUraianTugas;
	
	private Boolean statusEnabled;
	
	@Caption(value = "periode")
	private String periode;
	
	@Caption(value = "Object Jabatan")
	private JabatanVO jabatan;
	
	@Caption(value = "Object Dokumen Tugas")
	private DokumenVO dokumen;
	
	@Caption(value = "Object Pelaksanaan Tugas")
	private PelaksanaanTugasVO pelaksanaanTugas;
	
	@Caption(value="Rincian Kegiatan")
	private String rincianKegiatan;
	
	private String satuan;
	
	@Caption(value = "Object Satuan Indikator")
	private SatuanIndikatorVO satuanIndikator;
	
	@Caption(value = "statusVerifikasi")
	private Integer statusVerifikasi;

	public Integer getIdRincianKegiatan() {
		return idRincianKegiatan;
	}
	
	public void setIdRincianKegiatan(Integer idRincianKegiatan) {
		this.idRincianKegiatan = idRincianKegiatan;
	}

	public Integer getIdUraianTugas() {
		return idUraianTugas;
	}

	public void setIdUraianTugas(Integer idUraianTugas) {
		this.idUraianTugas = idUraianTugas;
	}
	
	public Boolean getStatusEnabled() {
		return statusEnabled;
	}

	public void setStatusEnabled(Boolean statusEnabled) {
		this.statusEnabled = statusEnabled;
	}

	public String getPeriode() {
		return periode;
	}

	public void setPeriode(String periode) {
		this.periode = periode;
	}

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}

	public DokumenVO getDokumen() {
		return dokumen;
	}

	public void setDokumen(DokumenVO dokumen) {
		this.dokumen = dokumen;
	}

	public PelaksanaanTugasVO getPelaksanaanTugas() {
		return pelaksanaanTugas;
	}

	public void setPelaksanaanTugas(PelaksanaanTugasVO pelaksanaanTugas) {
		this.pelaksanaanTugas = pelaksanaanTugas;
	}

	public String getRincianKegiatan() {
		return rincianKegiatan;
	}

	public void setRincianKegiatan(String rincianKegiatan) {
		this.rincianKegiatan = rincianKegiatan;
	}

	public String getSatuan() {
		return satuan;
	}

	public void setSatuan(String satuan) {
		this.satuan = satuan;
	}

	public Integer getStatusVerifikasi() {
		return statusVerifikasi;
	}

	public void setStatusVerifikasi(Integer statusVerifikasi) {
		this.statusVerifikasi = statusVerifikasi;
	}

	public SatuanIndikatorVO getSatuanIndikator() {
		return satuanIndikator;
	}

	public void setSatuanIndikator(SatuanIndikatorVO satuanIndikator) {
		this.satuanIndikator = satuanIndikator;
	}

}
